#ifndef MAIL_H
#define MAIL_H

/*
	Simple SMTP mail sender.

	Copyright 1993 Stephen Norris.

	$Revision: 1.9 $

	$Log: mail.h,v $
 * Revision 1.9  1993/11/22  21:59:53  srn
 * Added editor support.
 *
 * Revision 1.9  1993/11/22  21:59:53  srn
 * Added editor support.
 *
 * Revision 1.8  1993/11/22  19:29:36  srn
 * Added code for sig files.
 *
 * Revision 1.7  1993/11/21  18:04:32  srn
 * Added #defines for argument numbers.
 *
 * Revision 1.7  1993/11/21  18:04:32  srn
 * Added #defines for argument numbers.
 *
 * Revision 1.6  1993/11/19  22:20:26  srn
 * *** empty log message ***
 *
 * Revision 1.6  1993/11/19  22:20:26  srn
 * *** empty log message ***
 *
 * Revision 1.5  1993/10/30  09:48:55  srn
 * More arguments.  Reformated.
 *
 * Revision 1.5  1993/10/30  09:48:55  srn
 * More arguments.  Reformated.
 *
 * Revision 1.4  1993/10/24  11:10:22  srn
 * Added includes needed for V2.1 of Amitcp - it seems the network
 * include files no longer include stdio.h or time.h...
 *
 * Revision 1.3  1993/10/20  22:37:46  srn
 * Added some prototypes, though only for a few (1?) function.
 *
 * Revision 1.3  1993/10/20  22:37:46  srn
 * Added some prototypes, though only for a few (1?) function.
 *
 * Revision 1.2  1993/10/20  20:27:09  srn
 * Got error checking working.
 *
 * Revision 1.1  1993/10/16  11:19:10  srn
 * Initial revision
 *
 * Revision 1.1  1993/10/16  11:19:10  srn
 * Initial revision
 *
*/

/* Network includes. */
#include <sys/socket.h>
#include <errno.h>
#include <netdb.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <signal.h>


/* clib includes. */

#include <time.h>
#include <stdio.h>
#include <stdlib.h>

/* Error codes. */
#define BAD_RESPONCE	1
#define NOTEMP		2

/* Modes. */
#define VERBOSE	1

/* Constants. */
#define ARGCOUNT 8
#define BUFSIZE 512


extern int	errno;

/* Prototypes. */
void MailError(int   Type);

#endif
